package com.sdtool.common.entity.design.fabric;

import java.util.List;

public class BackgroundImage {
    private double angle;

    private String backgroundColor;

    private double cropX;

    private double cropY;

    private String crossOrigin;

    private boolean evented;

    private String fill;

    private String fillRule;

    private List<Object> filters;

    private boolean flipX;

    private boolean flipY;

    private String globalCompositeOperation;

    private boolean hasBorders;

    private double height;

    private double width;

    private double left;

    private double top;

    private boolean lockMovementX;

    private boolean lockMovementY;

    private boolean objectCaching;

    private double opacity;

    private String originX;

    private String originY;

    private double padding;

    private String paintFirst;

    private double scaleX;

    private double scaleY;

    private boolean selectable;

    private double skewX;

    private double skewY;

    private String src;

    private double strokeDashOffset;

    private String strokeLineCap;

    private String strokeLineJoin;

    private double strokeMiterLimit;

    private boolean strokeUniform;

    private double strokeWidth;

    private boolean transparentCorners;

    private String type;

    private String version;

    private boolean visible;

    public double getAngle() {
        return angle;
    }

    public void setAngle(double angle) {
        this.angle = angle;
    }

    public String getBackgroundColor() {
        return backgroundColor;
    }

    public void setBackgroundColor(String backgroundColor) {
        this.backgroundColor = backgroundColor;
    }

    public double getCropX() {
        return cropX;
    }

    public void setCropX(double cropX) {
        this.cropX = cropX;
    }

    public double getCropY() {
        return cropY;
    }

    public void setCropY(double cropY) {
        this.cropY = cropY;
    }

    public String getCrossOrigin() {
        return crossOrigin;
    }

    public void setCrossOrigin(String crossOrigin) {
        this.crossOrigin = crossOrigin;
    }

    public boolean isEvented() {
        return evented;
    }

    public void setEvented(boolean evented) {
        this.evented = evented;
    }

    public String getFill() {
        return fill;
    }

    public void setFill(String fill) {
        this.fill = fill;
    }

    public String getFillRule() {
        return fillRule;
    }

    public void setFillRule(String fillRule) {
        this.fillRule = fillRule;
    }

    public List<Object> getFilters() {
        return filters;
    }

    public void setFilters(List<Object> filters) {
        this.filters = filters;
    }

    public boolean isFlipX() {
        return flipX;
    }

    public void setFlipX(boolean flipX) {
        this.flipX = flipX;
    }

    public boolean isFlipY() {
        return flipY;
    }

    public void setFlipY(boolean flipY) {
        this.flipY = flipY;
    }

    public String getGlobalCompositeOperation() {
        return globalCompositeOperation;
    }

    public void setGlobalCompositeOperation(String globalCompositeOperation) {
        this.globalCompositeOperation = globalCompositeOperation;
    }

    public boolean isHasBorders() {
        return hasBorders;
    }

    public void setHasBorders(boolean hasBorders) {
        this.hasBorders = hasBorders;
    }

    public double getHeight() {
        return height;
    }

    public void setHeight(double height) {
        this.height = height;
    }

    public double getWidth() {
        return width;
    }

    public void setWidth(double width) {
        this.width = width;
    }

    public double getLeft() {
        return left;
    }

    public void setLeft(double left) {
        this.left = left;
    }

    public double getTop() {
        return top;
    }

    public void setTop(double top) {
        this.top = top;
    }

    public boolean isLockMovementX() {
        return lockMovementX;
    }

    public void setLockMovementX(boolean lockMovementX) {
        this.lockMovementX = lockMovementX;
    }

    public boolean isLockMovementY() {
        return lockMovementY;
    }

    public void setLockMovementY(boolean lockMovementY) {
        this.lockMovementY = lockMovementY;
    }

    public boolean isObjectCaching() {
        return objectCaching;
    }

    public void setObjectCaching(boolean objectCaching) {
        this.objectCaching = objectCaching;
    }

    public double getOpacity() {
        return opacity;
    }

    public void setOpacity(double opacity) {
        this.opacity = opacity;
    }

    public String getOriginX() {
        return originX;
    }

    public void setOriginX(String originX) {
        this.originX = originX;
    }

    public String getOriginY() {
        return originY;
    }

    public void setOriginY(String originY) {
        this.originY = originY;
    }

    public double getPadding() {
        return padding;
    }

    public void setPadding(double padding) {
        this.padding = padding;
    }

    public String getPaintFirst() {
        return paintFirst;
    }

    public void setPaintFirst(String paintFirst) {
        this.paintFirst = paintFirst;
    }

    public double getScaleX() {
        return scaleX;
    }

    public void setScaleX(double scaleX) {
        this.scaleX = scaleX;
    }

    public double getScaleY() {
        return scaleY;
    }

    public void setScaleY(double scaleY) {
        this.scaleY = scaleY;
    }

    public boolean isSelectable() {
        return selectable;
    }

    public void setSelectable(boolean selectable) {
        this.selectable = selectable;
    }

    public double getSkewX() {
        return skewX;
    }

    public void setSkewX(double skewX) {
        this.skewX = skewX;
    }

    public double getSkewY() {
        return skewY;
    }

    public void setSkewY(double skewY) {
        this.skewY = skewY;
    }

    public String getSrc() {
        return src;
    }

    public void setSrc(String src) {
        this.src = src;
    }

    public double getStrokeDashOffset() {
        return strokeDashOffset;
    }

    public void setStrokeDashOffset(double strokeDashOffset) {
        this.strokeDashOffset = strokeDashOffset;
    }

    public String getStrokeLineCap() {
        return strokeLineCap;
    }

    public void setStrokeLineCap(String strokeLineCap) {
        this.strokeLineCap = strokeLineCap;
    }

    public String getStrokeLineJoin() {
        return strokeLineJoin;
    }

    public void setStrokeLineJoin(String strokeLineJoin) {
        this.strokeLineJoin = strokeLineJoin;
    }

    public double getStrokeMiterLimit() {
        return strokeMiterLimit;
    }

    public void setStrokeMiterLimit(double strokeMiterLimit) {
        this.strokeMiterLimit = strokeMiterLimit;
    }

    public boolean isStrokeUniform() {
        return strokeUniform;
    }

    public void setStrokeUniform(boolean strokeUniform) {
        this.strokeUniform = strokeUniform;
    }

    public double getStrokeWidth() {
        return strokeWidth;
    }

    public void setStrokeWidth(double strokeWidth) {
        this.strokeWidth = strokeWidth;
    }

    public boolean isTransparentCorners() {
        return transparentCorners;
    }

    public void setTransparentCorners(boolean transparentCorners) {
        this.transparentCorners = transparentCorners;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public boolean isVisible() {
        return visible;
    }

    public void setVisible(boolean visible) {
        this.visible = visible;
    }
}
